Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 619770 - [abrt] crash in gnome-applet-alarm-clock-0.3.1-1.fc13: magazine_chain_pop_head: Process /usr/bin/alarm-clock-applet was killed by signal 11 (SIGSEGV)
[abrt] crash in gnome-applet-alarm-clock-0.3.1-1.fc13: magazine_chain_pop_hea...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-applet-alarm-clock (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:75d2d5b0a13933c1d349b75ef8c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 09:44 EDT by Zing
Modified: 2010-10-08 16:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: gnome-applet-alarm-clock-0.3.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-05 21:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.74 KB, text/plain)
2010-07-30 09:44 EDT, Zing
no flags Details

  None (edit)
Description Zing 2010-07-30 09:44:48 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: alarm-clock-applet
component: gnome-applet-alarm-clock
crash_function: magazine_chain_pop_head
executable: /usr/bin/alarm-clock-applet
global_uuid: 75d2d5b0a13933c1d349b75ef8c4187d141aee84
kernel: 2.6.33.6-147.fc13.x86_64
package: gnome-applet-alarm-clock-0.3.1-1.fc13
rating: 4
reason: Process /usr/bin/alarm-clock-applet was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. check the "start automatically at login" preference
2. it immediately crashed
Comment 1 Zing 2010-07-30 09:44:49 EDT
Created attachment 435560 [details]
File: backtrace
Comment 2 Zing 2010-07-30 09:55:45 EDT
To reproduce this: delete ~/.config/autostart

alarm-clock assumes that directory exists and if it doesn't... then boom.
Comment 3 Christoph Wickert 2010-07-30 10:03:19 EDT
Thanks for your report. This is similar to bug 615699. Can you please start alarm-clock from a terminal and tell me if you see the
same in bug 615699 comment 2?
Comment 4 Zing 2010-07-30 10:14:17 EDT
Hmmm, yup, same one (although our backtraces are different):

** (alarm-clock-applet:9191): DEBUG: Preferences: Autostart get_state for file (nil)
** (alarm-clock-applet:9191): DEBUG: AlarmAction: toggle autostart to 1
** (alarm-clock-applet:9191): DEBUG: AlarmAction: set autostart to 1!
** (alarm-clock-applet:9191): DEBUG: Preferences: Autostart get_state for file (nil)
** (alarm-clock-applet:9191): DEBUG: Preferences: Autostart ENABLE!

** (alarm-clock-applet:9191): WARNING **: Preferences: Could not copy '/usr/share/applications/alarm-clock-applet.desktop' to user config dir: Error opening file '/home/zing/.config/autostart/alarm-clock-applet.desktop': No such file or directory

(alarm-clock-applet:9191): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: No such file or directory

** (alarm-clock-applet:9191): WARNING **: Preferences: Error when enabling autostart-file '/home/zing/.config/autostart/alarm-clock-applet.desktop': (null)
Comment 5 Fedora Update System 2010-09-27 18:09:57 EDT
gnome-applet-alarm-clock-0.3.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gnome-applet-alarm-clock-0.3.1-2.fc13
Comment 6 Fedora Update System 2010-09-27 18:09:59 EDT
gnome-applet-alarm-clock-0.3.1-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/gnome-applet-alarm-clock-0.3.1-2.fc12
Comment 7 Fedora Update System 2010-09-27 18:11:10 EDT
gnome-applet-alarm-clock-0.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnome-applet-alarm-clock-0.3.1-2.fc14
Comment 8 Fedora Update System 2010-09-28 01:28:01 EDT
gnome-applet-alarm-clock-0.3.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnome-applet-alarm-clock'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gnome-applet-alarm-clock-0.3.1-2.fc13
Comment 9 Fedora Update System 2010-10-05 21:27:22 EDT
gnome-applet-alarm-clock-0.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-10-08 16:34:35 EDT
gnome-applet-alarm-clock-0.3.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-10-08 16:36:19 EDT
gnome-applet-alarm-clock-0.3.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.